
%global meadversion 1.0.2
%global namedversion 1.0.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-jaxrpc-api_1.1_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.Final-redhat-1

Name:           %{?scl_prefix}jboss-jaxrpc-api_1.1_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) API for XML-based RPC (JAX-RPC) 1.1
Group:          Development/Java

%if %with mead
Source100: jboss-jaxrpc-api_1.1_spec-1.0.2.Final-redhat-1-scm-sources.zip
Source102: jboss-jaxrpc-api_1.1_spec-1.0.2.Final-redhat-1.pom
Source103: jboss-jaxrpc-api_1.1_spec-1.0.2.Final-redhat-1-javadoc.jar
Source104: jboss-jaxrpc-api_1.1_spec-1.0.2.Final-redhat-1.jar
Source105: jboss-jaxrpc-api_1.1_spec-1.0.2.Final-redhat-1-project-sources.tar.gz
Source106: jboss-jaxrpc-api_1.1_spec-1.0.2.Final-redhat-1-sources.jar
%endif

License:        CDDL-1.0 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jaxrpc-api_spec
%if 0
Requires:       %{?scl_prefix_eap}jboss-servlet-api_3.0_spec = %{epoch}:%{version}-%{release}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSR-101: Java(TM) API for XML-based RPC (JAX-RPC) 1.1.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jaxrpc-api_1.1_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jaxrpc-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jaxrpc-api_1.1_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jaxrpc-api_1.1_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jaxrpc-api_1.1_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-jaxrpc-api_1.1_spec
%defattr(0644,root,root,0755)
%doc LICENSE README
%{_javadir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}.jar
%{_javadir}/jboss-jaxrpc-api_1.1_spec.jar
%if %with javadoc
%{_javadir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jaxrpc-api_1.1_spec-javadoc.jar
%endif
%{_javadir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jaxrpc-api_1.1_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jaxrpc-api_1.1_spec-%{namedversion}
%{_javadocdir}/jboss-jaxrpc-api_1.1_spec
%endif

%changelog
* Thu Jul 05 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.2-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Wed Nov 08 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-8.Final_redhat_5.1
- Fix License (JBEAP-13468)

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.0.1-7.Final_redhat_5.1
- rebuild without Requires

* Tue Jun 09 2015 David Walluck <dwalluck@redhat.com> - 1.0.1-6.Final_redhat_5.1
- fix setup

* Tue Jun 09 2015 David Walluck <dwalluck@redhat.com> - 1.0.1-6.Final_redhat_5.1
- release

